AuthorizationException (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class AuthorizationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - org.apache.cassandra.thrift.AuthorizationException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<AuthorizationException>, org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>

      public class AuthorizationException
      extends org.apache.thrift.TException
      implements org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<AuthorizationException>

  invalid authorization request (user does not have access to keyspace)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthorizationException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<AuthorizationException._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `java.lang.String` | `why`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationException()`
    `AuthorizationException(AuthorizationException other)` Performs a deep copy on other.
    `AuthorizationException(java.lang.String why)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(AuthorizationException other)`
    `AuthorizationException` | `deepCopy()`
    `boolean` | `equals(AuthorizationException that)`
    `boolean` | `equals(java.lang.Object that)`
    `AuthorizationException._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(AuthorizationException._Fields field)`
    `java.lang.String` | `getWhy()`
    `int` | `hashCode()`
    `boolean` | `isSet(AuthorizationException._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWhy()` Returns true if field why is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(AuthorizationException._Fields field, java.lang.Object value)`
    `AuthorizationException` | `setWhy(java.lang.String why)`
    `void` | `setWhyIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetWhy()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### why

          public java.lang.String why

    - #### metaDataMap

          public static final java.util.Map<AuthorizationException._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### AuthorizationException

          public AuthorizationException()

    - #### AuthorizationException

          public AuthorizationException(java.lang.String why)

    - #### AuthorizationException

          public AuthorizationException(AuthorizationException other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public AuthorizationException deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>`

    - #### getWhy

          public java.lang.String getWhy()

    - #### setWhy

          public AuthorizationException setWhy(java.lang.String why)

    - #### unsetWhy

          public void unsetWhy()

    - #### isSetWhy

          public boolean isSetWhy()

      Returns true if field why is set (has been assigned a value) and false otherwise

    - #### setWhyIsSet

          public void setWhyIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(AuthorizationException._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(AuthorizationException._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>`

    - #### isSet

          public boolean isSet(AuthorizationException._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(AuthorizationException that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(AuthorizationException other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<AuthorizationException>`

    - #### fieldForId

          public AuthorizationException._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<AuthorizationException,AuthorizationException._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation